## net.i2p.router.web
Class ProfilesHelper

    java.lang.Object
      net.i2p.router.web.ProfilesHelper

    public class ProfilesHelper

extends java.lang.Object

Constructor Summary
`ProfilesHelper()`

Method Summary
`java.lang.String` `getProfileSummary()`
`java.lang.String` `getShitlistSummary()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilesHelper

    public ProfilesHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getProfileSummary

    public java.lang.String getProfileSummary()

### getShitlistSummary

    public java.lang.String getShitlistSummary()